#
# spec file for package 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           wineasio
Version:	0.9.0
Release:	1.pm.5.1
License:	GPLv2
Summary:	ASIO to JACK driver for wine
Url:		http://sourceforge.net/projects/wineasio/
Group:		System/Emulators/PC
Source0:	%name-%version.tar.bz2
Source1:	asio.h
BuildRequires:	wine-devel libjack-devel
%if %suse_version<=1130
BuildRequires:  wine
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:	%ix86

%description
WineASIO provides an ASIO to JACK driver for WINE.
ASIO is the most common Windows low-latency driver,
so is commonly used in audio workstation programs.

%prep
%setup -q -n %name
%__cp %SOURCE1 .

%build
make %{?_smp_mflags}

%install
%__mkdir_p %buildroot/%_libdir/wine
cp wineasio.dll.so %buildroot/%_libdir/wine/

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README COPYING.LIB
%_libdir/wine/wineasio.dll.so

%changelog
* Sat May 21 2011 andrea@opensuse.org
- New package
